Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchTranslation extends AnyRef

  Translate typed Trees that represent pattern matches into the patternmatching IR, defined by TreeMakers.

  Translate typed Trees that represent pattern matches into the patternmatching IR, defined by TreeMakers.

  Definition Classes
    patmat
-  trait MatchTranslator extends PatternMatching.TreeMakers with PatternMatching.TreeMakerWarnings
  Definition Classes
    MatchTranslation
- AbsCodegen
- AlternativesTreeMaker
- BodyTreeMaker
- BoundTree
- Casegen
- CommonCodegen
- CondTreeMaker
- EmptySubstitution
- EqualityTestTreeMaker
- ExtractorCall
- ExtractorCallProd
- ExtractorCallRegular
- ExtractorTreeMaker
- FunTreeMaker
- GuardTreeMaker
- IrrefutableExtractorTreeMaker
- NoNewBinders
- PatternBoundToUnderscore
- PreserveSubPatBinders
- ProductExtractorTreeMaker
- SubstOnlyTreeMaker
- Substitution
- SymbolBound
- TranslationStep
- TreeMaker
- TrivialTreeMaker
- TypeTestTreeMaker
- WildcardPattern

c

scala.tools.nsc.transform.patmat.MatchTranslation.MatchTranslator

# ExtractorCall 

###
Companion object ExtractorCall

#### abstract class ExtractorCall extends AnyRef

Source
  MatchTranslation.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ExtractorCallProd, ExtractorCallRegular
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtractorCall
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ExtractorCall(aligner: PatternMatching.PatternAligned)

### Abstract Value Members

1.  abstract def args: List[Global.Tree]
2.  abstract def fun: Global.Tree
3.  abstract def treeMaker(binder: Global.Symbol, binderKnownNonNull: Boolean, pos: Global.Position): MatchTranslator.TreeMaker

   Create the TreeMaker that embodies this extractor call

   Create the TreeMaker that embodies this extractor call

   `binderKnownNonNull` indicates whether the cast implies `binder` cannot be null when `binderKnownNonNull` is `true`, `ProductExtractorTreeMaker` does not do a (redundant) null check on binder

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ExtractorCall to any2stringadd[ExtractorCall] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ExtractorCall, B)
   Implicit
     This member is added by an implicit conversion from ExtractorCall to ArrowAssoc[ExtractorCall] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val aligner: PatternMatching.PatternAligned
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def checkedLength: Option[Int]
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def ensuring(cond: (ExtractorCall) ⇒ Boolean, msg: ⇒ Any): ExtractorCall
    Implicit
      This member is added by an implicit conversion from ExtractorCall to Ensuring[ExtractorCall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (ExtractorCall) ⇒ Boolean): ExtractorCall
    Implicit
      This member is added by an implicit conversion from ExtractorCall to Ensuring[ExtractorCall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): ExtractorCall
    Implicit
      This member is added by an implicit conversion from ExtractorCall to Ensuring[ExtractorCall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): ExtractorCall
    Implicit
      This member is added by an implicit conversion from ExtractorCall to Ensuring[ExtractorCall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def expectedLength: Int
    Attributes
      protected
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def firstIndexingBinder: Int
    Attributes
      protected
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ExtractorCall to StringFormat[ExtractorCall] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  lazy val ignoredSubPatBinders: Set[Global.Symbol]
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def lastIndexingBinder: Int
    Attributes
      protected
25.  def lengthGuard(binder: Global.Symbol): Option[Global.Tree]
    Attributes
      protected
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  def rawSubPatTypes: collection.immutable.List[Global.Type]
30.  def resultInMonad: Global.Type
31.  def resultType: Global.Type
32.  def seqTree(binder: Global.Symbol): Global.Tree
    Attributes
      protected
33.  lazy val subBoundTrees: collection.immutable.List[BoundTree]
34.  def subPatBinders: collection.immutable.List[Global.Symbol]
35.  def subPatRefs(binder: Global.Symbol): List[Global.Tree]
    Attributes
      protected
36.  def subPatRefsSeq(binder: Global.Symbol): List[Global.Tree]
    Attributes
      protected
37.  def subPatTypes: List[Global.Type]
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  def tupleSel(binder: Global.Symbol)(i: Int): Global.Tree
    Attributes
      protected
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  def →[B](y: B): (ExtractorCall, B)
    Implicit
      This member is added by an implicit conversion from ExtractorCall to ArrowAssoc[ExtractorCall] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ExtractorCall to any2stringadd[ExtractorCall]

### Inherited by implicit conversion StringFormat from ExtractorCall to StringFormat[ExtractorCall]

### Inherited by implicit conversion Ensuring from ExtractorCall to Ensuring[ExtractorCall]

### Inherited by implicit conversion ArrowAssoc from ExtractorCall to ArrowAssoc[ExtractorCall]

### Ungrouped